Package org.eclipse.emf.cdo.spi.server

## Class CDOCommand.CommandParameter

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.CDOCommand.CommandParameter

- Enclosing class:
    CDOCommand

      public static final class CDOCommand.CommandParameter
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandParameter​(java.lang.String name, boolean optional)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `boolean` | `isLiteral()` |
    `boolean` | `isOptional()` |
    `CDOCommand.CommandParameter` | `literal()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandParameter

          public CommandParameter​(java.lang.String name,
                                  boolean optional)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### isOptional

          public boolean isOptional()

    - #### isLiteral

          public boolean isLiteral()

      Since:
        4.8

    - #### literal

          public CDOCommand.CommandParameter literal()

      Since:
        4.8